Page MenuHomePhabricator

[OMPT] First chunk of final OMPT 5.0 interface updates
ClosedPublic

Authored by protze.joachim on Dec 11 2018, 2:02 PM.

Details

Reviewers
hbae
Hahnfeld
Summary

This patch updates the implementation of the ompt_frame_t, ompt_wait_id_t and ompt_state_t.
The final version of the OpenMP 5.0 spec added the "t" for these types.
Furthermore the structure for ompt_frame_t changed and allows to specify that the reenter frame belongs to the runtime.

Diff Detail

Event Timeline

protze.joachim created this revision.Dec 11 2018, 2:02 PM
hbae added inline comments.Dec 13 2018, 11:57 AM
runtime/src/include/50/ompt.h.var
56

I think it's better to change this macro name (to FOREACH_OMPT_STATE) as well.

182

Can we #define this variable?

runtime/src/kmp_csupport.cpp
510

I think initializing exit_frame with ompt_data_none is safer.
There are several places in the patch that do the similar assignment with NULL or 0.

runtime/src/kmp_gsupport.cpp
1087

Can you align the backslashes in the patch?

protze.joachim marked 4 inline comments as done.

Implemented most changes requested by Hansang

runtime/src/include/50/ompt.h.var
182

Currently this change is implemented in https://reviews.llvm.org/D55579

hbae accepted this revision.Dec 17 2018, 9:22 AM

LGTM.

This revision is now accepted and ready to land.Dec 17 2018, 9:22 AM
protze.joachim closed this revision.Jan 7 2019, 9:38 AM

Implemented in r349458.
Missed to include the review number in the commit message